using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace LogoApp
{
    class Sada 
    {
        private Podsada k = new Podsada(); // co hlaska, to podsada
        private Podsada l = new Podsada(); 
        Podsada[] podsady;

        public Sada() // konstruktor tridy Sada. Kazde slovo je treba pridat sem s paramtetry (text, zvuk, obr)
        {
            podsady = new Podsada[2] { k, l }; // vycet podsad

            k.Jedna.Pridat("kabát", Application.StartupPath + "\\Zvuky\\kabat.wav", Application.StartupPath + "\\Obr\\K__\\kabát.png");
            k.Jedna.Pridat("káva", Application.StartupPath + "\\Zvuky\\kava.wav", Application.StartupPath + "\\Obr\\K__\\káva.png");
            k.Jedna.Pridat("kniha", Application.StartupPath + "\\Zvuky\\kniha.wav", Application.StartupPath + "\\Obr\\K__\\kniha.png");
            k.Jedna.Pridat("kohout", Application.StartupPath + "\\Zvuky\\kohout.wav", Application.StartupPath + "\\Obr\\K__\\kohout.png");
            k.Jedna.Pridat("konev", Application.StartupPath + "\\Zvuky\\konev.wav", Application.StartupPath + "\\Obr\\K__\\konev.png");
            k.Jedna.Pridat("kopí", Application.StartupPath + "\\Zvuky\\kopi.wav", Application.StartupPath + "\\Obr\\K__\\kopí.png");
            k.Jedna.Pridat("kost", Application.StartupPath + "\\Zvuky\\kost.wav", Application.StartupPath + "\\Obr\\K__\\kost.png");
            k.Jedna.Pridat("koza", Application.StartupPath + "\\Zvuky\\koza.wav", Application.StartupPath + "\\Obr\\K__\\koza.png");
            k.Jedna.Pridat("kůň", Application.StartupPath + "\\Zvuky\\kun.wav", Application.StartupPath + "\\Obr\\K__\\kůň.png");

            k.Dva.Pridat("deka", Application.StartupPath + "\\Zvuky\\deka.wav", Application.StartupPath + "\\Obr\\_K_\\deka.png");
            k.Dva.Pridat("housenka", Application.StartupPath + "\\Zvuky\\housenka.wav", Application.StartupPath + "\\Obr\\_K_\\housenka.png");
            k.Dva.Pridat("miska", Application.StartupPath + "\\Zvuky\\miska.wav", Application.StartupPath + "\\Obr\\_K_\\miska.png");
            k.Dva.Pridat("mouka", Application.StartupPath + "\\Zvuky\\mouka.wav", Application.StartupPath + "\\Obr\\_K_\\mouka.png");
            k.Dva.Pridat("okno", Application.StartupPath + "\\Zvuky\\okno.wav", Application.StartupPath + "\\Obr\\_K_\\okno.png");
            k.Dva.Pridat("oko", Application.StartupPath + "\\Zvuky\\oko.wav", Application.StartupPath + "\\Obr\\_K_\\oko.png");
            k.Dva.Pridat("panenka", Application.StartupPath + "\\Zvuky\\panenka.wav", Application.StartupPath + "\\Obr\\_K_\\panenka.png");
            k.Dva.Pridat("sako", Application.StartupPath + "\\Zvuky\\sako.wav", Application.StartupPath + "\\Obr\\_K_\\sako.png");
            k.Dva.Pridat("sukně", Application.StartupPath + "\\Zvuky\\sukne.wav", Application.StartupPath + "\\Obr\\_K_\\sukně.png");

            k.Tri.Pridat("bubínek", Application.StartupPath + "\\Zvuky\\bubinek.wav", Application.StartupPath + "\\Obr\\__K\\bubínek.png");
            k.Tri.Pridat("kominík", Application.StartupPath + "\\Zvuky\\kominik.wav", Application.StartupPath + "\\Obr\\__K\\kominík.png");
            k.Tri.Pridat("maják", Application.StartupPath + "\\Zvuky\\majak.wav", Application.StartupPath + "\\Obr\\__K\\maják.png");
            k.Tri.Pridat("mák", Application.StartupPath + "\\Zvuky\\mak.wav", Application.StartupPath + "\\Obr\\__K\\mák.png");
            k.Tri.Pridat("pavouk", Application.StartupPath + "\\Zvuky\\pavouk.wav", Application.StartupPath + "\\Obr\\__K\\pavouk.png");
            k.Tri.Pridat("vlak", Application.StartupPath + "\\Zvuky\\vlak.wav", Application.StartupPath + "\\Obr\\__K\\vlak.png");
            k.Tri.Pridat("vlk", Application.StartupPath + "\\Zvuky\\vlk.wav", Application.StartupPath + "\\Obr\\__K\\vlk.png");
            k.Tri.Pridat("voják", Application.StartupPath + "\\Zvuky\\vojak.wav", Application.StartupPath + "\\Obr\\__K\\voják.png");
            k.Tri.Pridat("vozík", Application.StartupPath + "\\Zvuky\\vozik.wav", Application.StartupPath + "\\Obr\\__K\\vozík.png");
           

            l.Jedna.Pridat("lahev", Application.StartupPath + "\\Zvuky\\lahev.wav", Application.StartupPath + "\\Obr\\L__\\lahev.png");
            l.Jedna.Pridat("lampa", Application.StartupPath + "\\Zvuky\\lampa.wav", Application.StartupPath + "\\Obr\\L__\\lampa.png");
            l.Jedna.Pridat("lano", Application.StartupPath + "\\Zvuky\\lano.wav", Application.StartupPath + "\\Obr\\L__\\lano.png");
            l.Jedna.Pridat("lednice", Application.StartupPath + "\\Zvuky\\lednice.wav", Application.StartupPath + "\\Obr\\L__\\lednice.png");
            l.Jedna.Pridat("lev", Application.StartupPath + "\\Zvuky\\lev.wav", Application.StartupPath + "\\Obr\\L__\\lev.png");
            l.Jedna.Pridat("list", Application.StartupPath + "\\Zvuky\\list.wav", Application.StartupPath + "\\Obr\\L__\\list.png");
            l.Jedna.Pridat("liška", Application.StartupPath + "\\Zvuky\\liska.wav", Application.StartupPath + "\\Obr\\L__\\liška.png");
            l.Jedna.Pridat("lopata", Application.StartupPath + "\\Zvuky\\lopata.wav", Application.StartupPath + "\\Obr\\L__\\lopata.png");
            l.Jedna.Pridat("lupa", Application.StartupPath + "\\Zvuky\\lupa.wav", Application.StartupPath + "\\Obr\\L__\\lupa.png");
            
            l.Dva.Pridat("balon", Application.StartupPath + "\\Zvuky\\balon.wav", Application.StartupPath + "\\Obr\\_L_\\balon.png"); 
            l.Dva.Pridat("holub", Application.StartupPath + "\\Zvuky\\holub.wav", Application.StartupPath + "\\Obr\\_L_\\holub.png");
            l.Dva.Pridat("housle", Application.StartupPath + "\\Zvuky\\housle.wav", Application.StartupPath + "\\Obr\\_L_\\housle.png");
            l.Dva.Pridat("jelen", Application.StartupPath + "\\Zvuky\\jelen.wav", Application.StartupPath + "\\Obr\\_L_\\jelen.png");
            l.Dva.Pridat("malina", Application.StartupPath + "\\Zvuky\\malina.wav", Application.StartupPath + "\\Obr\\_L_\\malina.png");
            l.Dva.Pridat("mlýn", Application.StartupPath + "\\Zvuky\\mlyn.wav", Application.StartupPath + "\\Obr\\_L_\\mlyn.png");
            l.Dva.Pridat("palma", Application.StartupPath + "\\Zvuky\\palma.wav", Application.StartupPath + "\\Obr\\_L_\\palma.png");
            l.Dva.Pridat("plot", Application.StartupPath + "\\Zvuky\\plot.wav", Application.StartupPath + "\\Obr\\_L_\\plot.png");
            l.Dva.Pridat("slon", Application.StartupPath + "\\Zvuky\\slon.wav", Application.StartupPath + "\\Obr\\_L_\\slon.png");

            l.Tri.Pridat("hůl", Application.StartupPath + "\\Zvuky\\hul.wav", Application.StartupPath + "\\Obr\\__L\\hůl.png");
            l.Tri.Pridat("motýl", Application.StartupPath + "\\Zvuky\\motyl.wav", Application.StartupPath + "\\Obr\\__L\\motýl.png");
            l.Tri.Pridat("mýval", Application.StartupPath + "\\Zvuky\\myval.wav", Application.StartupPath + "\\Obr\\__L\\mýval.png");
            l.Tri.Pridat("postel", Application.StartupPath + "\\Zvuky\\postel.wav", Application.StartupPath + "\\Obr\\__L\\postel.png");
            l.Tri.Pridat("pytel", Application.StartupPath + "\\Zvuky\\pytel.wav", Application.StartupPath + "\\Obr\\__L\\pytel.png");
            l.Tri.Pridat("stůl", Application.StartupPath + "\\Zvuky\\stul.wav", Application.StartupPath + "\\Obr\\__L\\stůl.png");
            l.Tri.Pridat("šál", Application.StartupPath + "\\Zvuky\\sal.wav", Application.StartupPath + "\\Obr\\__L\\šál.png");
            l.Tri.Pridat("úl", Application.StartupPath + "\\Zvuky\\ul.wav", Application.StartupPath + "\\Obr\\__L\\úl.png");
            l.Tri.Pridat("uzel", Application.StartupPath + "\\Zvuky\\uzel.wav", Application.StartupPath + "\\Obr\\__L\\uzel.png");
        }

        public Podsada GetPod(int index) // metoda pro vybrani urcite podsady (= hlasky)
        {
            return podsady[index];
        }
    }
}
